<template>
	<header class="flex flex-row mb-5">
		<div class="left flex-shrink">
			<img src="/install_files/images/logo.png" alt="logo" class="logo h-32 py-8">
			<h1 class="title font-body text-white text-3xl animate__animated animate__fadeInUp">{{ currentStepData.title }}</h1>
		</div>
		<div class="flex-1 justify-self-end self-center flex flex-row justify-end text-white font-body">
			<div class="step h-12 w-12 mx-10 rounded-full border border-gray-500 text-xl font-bold text-white text-center animate__animated animate__fadeInUp"
				v-for="step in steps" :class="stepClass(step.id)" @click="setStep(step.id)">
				{{ step.id }}
			</div>
		</div>
	</header>
</template>

<script>
import {mapActions, mapGetters} from "vuex";

export default {
	name: "Header",
	computed: {
		...mapGetters({
			currentStep: 'step',
			currentStepData: 'currentStepData',
			steps: 'steps',
			canGoToStep: 'canGoToStep'
		})
	},
	methods: {
		...mapActions([
			'setStep'
		]),
		stepClass(step){
			return {
				'step-active': step <= this.currentStep,
				'step--enabled': this.canGoToStep(step),
				'cursor-pointer': this.canGoToStep(step),
				'cursor-default': !this.canGoToStep(step),
			}
		}
	},

}
</script>

<style scoped>

</style>